%define name	xsoldier
%define version 1.3
%define release 3mdk

Summary:	Shooting game on X Window System
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
BuildRequires:	XFree86-devel libSDL-devel libSDL_image-devel
Requires: SDL SDL_image

Source:		http://www.interq.or.jp/libra/oohara/xsoldier/%{name}-%{version}.tar.bz2
Source3:	%{name}-icons.tar.bz2

URL:		http://www.interq.or.jp/libra/oohara/xsoldier/
Buildrequires:	libxpm4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q

%build

%configure --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}  --with-sdl

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_datadir} localstatedir=$RPM_BUILD_ROOT%{_localstatedir} mandir=$RPM_BUILD_ROOT%{_mandir}

install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
install -m 755 -d $RPM_BUILD_ROOT/%{_iconsdir}

(cd  $RPM_BUILD_ROOT/%{_iconsdir} ; bunzip2 -c %{SOURCE3} | tar xvf - ) 

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Xsoldier" \
  longtitle="%{summary}"
EOF

chmod 777 $RPM_BUILD_ROOT/%{_localstatedir}/games/xsoldier
cp scorefile.txt $RPM_BUILD_ROOT/%{_localstatedir}/games/xsoldier/xsoldier.scores

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README LICENSE INSTALL
%attr(2755, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man6/*
%attr(664, games, games) %{_localstatedir}/games/xsoldier/xsoldier.scores

%changelog
* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3-3mdk
- buildrequires

* Mon Mar 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- Bug 1995 : fix strange pixmaps location
- relocate manpage
- fix menu breaking specfile

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- from Lenny Cartier <lenny@mandrakesoft.com> :
- from Crispin Boylan <viewtronix@uklinux.net> :
	- Massive spec file clean-up
	- Compile with SDL libs now instead of XPM & Xlibs
	- New version

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.96-23mdk
- added Packager

* Tue Jun 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.96-22mdk
- png icons (out xpm!)
- menu in spec file
- cleanup

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.96-21mdk
- fix a few problems

* Thu Aug 30 2001 Etienne Faure  <etienne@mandraksoft.com> 0.96-20mdk
- chmod score file 660->664

* Sat Dec 16 2000 Etienne Faure  <etienne@mandraksoft.com> 0.96-19mdk
- corrected menu entry
- macros
- large icon 

* Tue Aug 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.96-18mdk
- Corrected menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.96-17mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96-16mdk
- rebuilt for BM
- bzip2 the extra sources to make rpmlint happy

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 0.96-15mdk
- mandrake release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 0.96-14mdk
- Imake bugfix for XFree86 4.0

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-13mdk
- Add security fix from debian.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.96-12mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.96-11mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 0.96-10mdk
- New icons.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-9mdk
- Fix pablo sucks (tm) with a defattr.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-8mdk
- Fix pablo sucks.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a default high scores file
- corrected the URLs

* Fri Sep 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved the kde menu file to the right place

* Wed Jul 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted to Mandrake my favourite X11 game :)
- Added an icon & menu entries fro Gnome & KDE

* Wed Jan 21 1998 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 4th release
- mv /usr/local/games/lib/xsoldier/.scorefile /var/lib/games/xsoldier/.scorefile
- %doc scorefile.txt

* Sat Dec 06 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- %attr(4711, games, -) /usr/local/games/xsoldier
- %attr(0600, games, -) /usr/local/games/lib/xsoldier/.scorefile

* Fri Dec 05 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release
- added script for X11R6.3 at the prep stage
- added Distribution and Vendor tags

* Fri Sep 12 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
